import { Interface } from '@ethersproject/abi';
import { Token } from '../state';
import { ERC20_ABI } from './json/erc202';
import { ERC20_BYTES32_ABI } from './json/erc20_bytes32';
export declare type AddressMap = {
    [chainId: number]: string;
};
export interface WalletInfo {
    name: string;
    iconName: string;
    href: string | null;
}
/**  */
export declare const RPC_CONNECTION = "";
export declare const MULTICALL_ABI: ({
    constant: boolean;
    inputs: {
        components: {
            name: string;
            type: string;
        }[];
        name: string;
        type: string;
    }[];
    name: string;
    outputs: {
        name: string;
        type: string;
    }[];
    payable: boolean;
    stateMutability: string;
    type: string;
} | {
    constant: boolean;
    inputs: {
        name: string;
        type: string;
    }[];
    name: string;
    outputs: {
        name: string;
        type: string;
    }[];
    payable: boolean;
    stateMutability: string;
    type: string;
})[];
export declare const ERC20_INTERFACE: Interface;
declare const ERC20_BYTES32_INTERFACE: Interface;
export { ERC20_ABI as any, ERC20_BYTES32_INTERFACE, ERC20_BYTES32_ABI };
/** @deprecated use ERC20_ABI */
export declare const ERC20_ABI_CONST: ({
    constant: boolean;
    inputs: {
        name: string;
        type: string;
    }[];
    name: string;
    outputs: {
        name: string;
        type: string;
    }[];
    payable: boolean;
    stateMutability: string;
    type: string;
    anonymous?: undefined;
} | {
    payable: boolean;
    stateMutability: string;
    type: string;
    constant?: undefined;
    inputs?: undefined;
    name?: undefined;
    outputs?: undefined;
    anonymous?: undefined;
} | {
    anonymous: boolean;
    inputs: {
        indexed: boolean;
        name: string;
        type: string;
    }[];
    name: string;
    type: string;
    constant?: undefined;
    outputs?: undefined;
    payable?: undefined;
    stateMutability?: undefined;
})[];
export declare const ZERO_ADDRESS = "0x0000000000000000000000000000000000000000";
export declare const NetworkContextName = "NETWORK";
export declare const TOKEN_BALANCE_ABI: any;
export declare const SUPPORTED_WALLETS: {
    [key: string]: WalletInfo;
};
export declare const connectorsByName: {
    [key: string]: any;
};
export declare const COINGECKO_LIST = "https://tokens.coingecko.com/uniswap/all.json";
export declare const LIST_OF_ETH_TOKENS_LISTS: string[];
export declare const LIST_OF_BSC_TOKENS_LISTS: string[];
export declare const LIST_OF_AVAX_TOKENS_LISTS: string[];
export declare const TOKENS_LIST: {
    [key: number]: Token[];
};
export declare const MAX_ACCEPTED_TOKENS = 3;
export declare const GAS_CHAINS: {
    [chainId: number]: number;
};
export declare const TOKEN_PALETTE: {
    [chainId: number]: string;
};
export declare const ACTIVATED_CHAINS: {
    [chainId: number]: boolean;
};
export declare const ORDERBOOK_ADDRESS: AddressMap;
export declare const TRADEPAIRS_ADDRESS: AddressMap;
export declare const PORTFOLIO_ADDRESS: AddressMap;
export declare const DEXMANAGER_ADDRESS: AddressMap;
export declare const TOKENFARM_ADDRESS: AddressMap;
export declare const DXP_ADDRESS: AddressMap;
export declare const LPTOKEN_ADDRESS: AddressMap;
